#!/bin/bash

echo "This script downloads Renew version 2.4 source package and all necessary libraries."
echo "Last tested on May 2013. If "

RENEWFOLDER="renew"
VERSION=2.4.2
RENEWVERSION="${RENEWFOLDER}${VERSION}"

GETCOMMAND='curl -O -J --insecure'

echo $GETCOMMAND
echo ${GETCOMMAND}

if [ "$(which $GETCOMMAND )" = "" ]; then
  echo "The command $GETCOMMAND is not installed."
  echo "Please install $GETCOMMAND or change the G."
  echo "Aborting..."
  exit 1

fi

echo "----------------- getting renew source -----------------"
${GETCOMMAND} http://www.informatik.uni-hamburg.de/TGI/${RENEWFOLDER}/${VERSION}/${RENEWVERSION}source.zip
if [ $? -ne 0 ] ;then 
 echo "Download failed. Please fix URL."  
 exit 1
fi 
#[ $? -ne 0 ]  && ( echo "Download failed. Please fix URL." ; exit 1 )
unzip ${RENEWVERSION}source.zip
cd ${RENEWVERSION}/
mkdir libs
cd libs
echo "----------------- getting libraries -----------------"
echo "javacc..."
${GETCOMMAND}   https://java.net/downloads/javacc/javacc-5.0.zip
if [ $? -ne 0 ] ;then 
 echo "Download failed. Please fix URL."  
 exit 1
fi 
echo "ant..."
${GETCOMMAND} http://archive.apache.org/dist/ant/binaries/apache-ant-1.8.4-bin.zip
if [ $? -ne 0 ] ;then 
 echo "Download failed. Please fix URL."  
 exit 1
fi 
#[ $? -ne 0 ]  || ( echo "Download failed. Please fix URL." && exit 1 )
echo "junit..."
${GETCOMMAND} https://repo1.maven.org/maven2/junit/junit/4.7/junit-4.7.jar
if [ $? -ne 0 ] ;then 
 echo "Download failed. Please fix URL."  
 exit 1
fi 
#[ $? -ne 0 ]  || ( echo "Download failed. Please fix URL." && exit 1 )
echo "jalopy..."
${GETCOMMAND} http://netcologne.dl.sourceforge.net/project/jalopy/plugin%20ant/0.1-1.5rc3/jalopy-ant-0.1-1.5rc3.zip
if [ $? -ne 0 ] ;then 
 echo "Download failed. Please fix URL."  
 exit 1
fi 
#[ $? -ne 0 ]  || ( echo "Download failed. Please fix URL." && exit 1 )

unzip jalopy-ant-0.1-1.5rc3.zip 
unzip apache-ant-1.8.4-bin.zip
unzip javacc-5.0.zip
cd ../src/
cp ../libs/junit-4.7.jar lib/junit/
echo "----------------- preparing ant configuration -----------------"
ANT_HOME=../libs/apache-ant-1.8.4 ../libs/apache-ant-1.8.4/bin/ant configure
echo "ant.home=\${dir.renew.checkout}/../libs/apache-ant-1.8.4/lib/ant.jar" >> ant/local.properties 
echo "dir.javacc=\${dir.renew.checkout}/../libs/javacc-5.0/bin/lib"         >> ant/local.properties 
echo "dir.jalopy.lib=\${dir.renew.checkout}/../libs/jalopy-ant-0.1-1.5rc3"  >> ant/local.properties 
echo "----------------- compiling renew -----------------"
ANT_HOME=../libs/apache-ant-1.8.4 ../libs/apache-ant-1.8.4/bin/ant
echo "----------------- preparing eclipse workspace settings -----------------"
cp ../../dot.classpath .classpath
cp ../../dot.project .project
echo "Please setup your eclipse workspace in ${RENEWVERSION} and import the project named \"src\"."
